Loading...
Searching...
No Matches
Dune::SeqOverlappingSchwarzDomainSize< BCRSMatrix< T, A > > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners

`#include <dune/istl/overlappingschwarz.hh>`

Inheritance diagram for Dune::SeqOverlappingSchwarzDomainSize< BCRSMatrix< T, A > >:

## Static Public Member Functions

template<class Domain>
static int | size (const Domain &d)

## Static Public Attributes

static constexpr size_t | n = std::decay_t<decltype(Impl::asMatrix(std::declval<T>()))>::rows
static constexpr size_t | m = std::decay_t<decltype(Impl::asMatrix(std::declval<T>()))>::cols

## Member Function Documentation

## size()

template<typename T, typename A>
template<class Domain>

int Dune::SeqOverlappingSchwarzDomainSize< BCRSMatrix< T, A > >::size | ( | const Domain & | d | ) |

inline static

## Member Data Documentation

## m

template<typename T, typename A>

size_t Dune::SeqOverlappingSchwarzDomainSize< BCRSMatrix< T, A > >::m = std::decay_t<decltype(Impl::asMatrix(std::declval<T>()))>::cols

static constexpr

## n

template<typename T, typename A>

size_t Dune::SeqOverlappingSchwarzDomainSize< BCRSMatrix< T, A > >::n = std::decay_t<decltype(Impl::asMatrix(std::declval<T>()))>::rows

static constexpr

The documentation for this struct was generated from the following file:

- overlappingschwarz.hh